[data-theme=light] {
  --fontcolor: #363636;
  --text: rgba(60, 60, 67, 0.6);
  --bg: #edf0f7;
}

[data-theme=dark] {
  --fontcolor: #F7F7FA;
  --text: #a1a2b8;
  --bg: #30343f;
}
div#poem_sentence{
  text-align: center;
  font-family: serif,cursive;
  line-height: 1.4;
  margin-bottom: 0.5rem;
  padding: 1rem;
  border-radius: 12px;
  background: var(--bg);
  min-height: 62px;
}

div#poem_info{
  display: flex;
  color: var(--text);
  font-size: 100%;
  justify-content: center;
  flex-wrap: wrap;
}

div#poem_author{
  order: 1;
  padding: 2px;
  margin-left: 8px;
}

div#poem_dynasty{
  order: 0;
  padding: 2px 4px 2px 6px;
  background: var(-btn-bg);
  color: var(--fontcolor);
  border-radius: 8px;
}

#card-poem{
  display: flex;
  flex-direction: column;
  padding: 0.5rem!important;
  min-height: 130px;
    background: linear-gradient(-45deg, rgba(255, 255, 255, .7),
            rgba(255, 255, 255, .8),
            rgba(255, 255, 255, .8),
            rgba(255, 255, 255, .7))!important;
    backdrop-filter: blur(10px); 
}

[data-theme=dark] #card-poem{
  display: flex;
  flex-direction: column;
  padding: 0.5rem!important;
  min-height: 130px;
    background: linear-gradient(-45deg, rgba(24, 40, 72, .7),
            rgba(35, 37, 58, .8),
            rgba(35, 37, 58, .8),
            rgba(24, 40, 72, .7))!important;
    backdrop-filter: blur(10px); 
}